<?php
/*---------------------------------------------------------------*/
/*
    Titre : Renvoie la valeur de la variable ou une valeur par défaut                                                    
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=438
    Auteur           : bud                                                                                                
    Date dition     : 25 Juil 2008                                                                                       
    Date mise  jour : 22 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/
/**    +-----------------------------------------------------------+
***    |   get                                                     |
***    +-----------------------------------------------------------+
***    |   brief  return the value of the variable if it exitst    |
***    |   param  $var: the var to return                          |
***    |   param  $field: the index if $var is an array            |
***    |   param  $ret: return if var does not exists              |
***    +-----------------------------------------------------------+*/


    function get($var, $field=false, $ret='')
    {
    if( $field===false && isset($var) )
    {
        return $var;
    }
    elseif( isset($var[$field]) )
    {
        return $var[$field];
    }
    else
    {
        return $ret;
    }
    }
?>